#ifndef VO_UTILS_H
#define VO_UTILS_H

#include "global.h"

#include <fstream>
using namespace std;

/*
* This class contains utlility functions used by VOTable API.
* This is an internal class used by the parser.
*/
// Date created - 28 May 2002

class VOUtils
{
	public:
		/*
		* check if a file exists in given path.
		*/
		int static checkIfFileExists(const char * filename);

		/*
		* Make a copy of string.
		*
		* Similar to strdup() but returns proper status and
		* uses new instead of malloc to alloate memory.
		*
		* Used internally
		*/
		int static copyString(char *&dest, const char *src, int *status);
	
};

#endif

